# Generated by Django 5.0 on 2024-07-26 16:05

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("posts", "0032_post_is_anonym_postanonymmapping"),
    ]

    operations = [
        migrations.CreateModel(
            name="Announcement",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "intro_text",
                    models.CharField(
                        default="",
                        help_text="Вводный текст для объявления",
                        max_length=255,
                    ),
                ),
                (
                    "priority",
                    models.IntegerField(
                        default=1,
                        help_text="Приоритет объявления, чем меньше число, тем выше приоритет",
                    ),
                ),
                (
                    "start_date",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="Дата начала актуальности поста",
                    ),
                ),
                (
                    "end_date",
                    models.DateTimeField(
                        blank=True,
                        help_text="Дата окончания актуальности поста",
                        null=True,
                    ),
                ),
                (
                    "is_active",
                    models.BooleanField(default=True, help_text="Активно ли объявление"),
                ),
                (
                    "post",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="featured_posts",
                        to="posts.post",
                    ),
                ),
            ],
            options={
                "verbose_name": "Актуальный пост",
                "verbose_name_plural": "Актуальные посты",
                "ordering": ["priority", "start_date"],
            },
        ),
    ]
